%{?nodejs_find_provides_and_requires}

%global packagename is-nan
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 1.2.1
Release: 1%{?dist}.3
Summary: ES6-compliant shim for Number.isNaN - the global isNaN returns false positives.
License: MIT
URL: https://github.com/ljharb/is-nan
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(define-properties) >= 1.1.1
BuildRequires: npm(define-properties) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(es5-shim) >= 4.1.0
BuildRequires: npm(es5-shim) < 5.0.0
BuildRequires: npm(tape) >= 4.2.0
BuildRequires: npm(tape) < 5.0.0
%endif

%description
ES6-compliant shim for Number.isNaN - the global isNaN returns false positives.

This package implements the es-shim API interface.
It works in an ES3-supported environment and complies with the spec.


%prep
%setup -q -n package
%nodejs_fixdep es5-shim '^4.1.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/node test/index.js
%{_bindir}/node test/shimmed.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Sep 21 2016 Oleg Girko <ol@infoserver.lv> - 1.2.1-1
- Initial package.
